Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class PortletActionProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.PortletActionProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.PortletActionProvider

    public class PortletActionProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.PortletActionProvider

Implementation of Apache Pluto PortletActionProvider.

Version:
  $Revision: 1.7 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`private org.apache.pluto.om.window.PortletWindow` | `portletWindow`

Constructor Summary
`PortletActionProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)`

Method Summary
`void` | `changePortletMode(javax.portlet.PortletMode mode)`
`void` | `changePortletWindowState(javax.portlet.WindowState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletWindow

    private org.apache.pluto.om.window.PortletWindow portletWindow

Constructor Detail

### PortletActionProviderImpl

    public PortletActionProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)

Method Detail

### changePortletMode

    public void changePortletMode(javax.portlet.PortletMode mode)

  Specified by:
    `changePortletMode` in interface `org.apache.pluto.services.information.PortletActionProvider`

### changePortletWindowState

    public void changePortletWindowState(javax.portlet.WindowState state)

  Specified by:
    `changePortletWindowState` in interface `org.apache.pluto.services.information.PortletActionProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD